package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.governance.ProgramDetailVo;
import com.hungraim.ltc.pojo.vo.governance.ProgramListVo;
import com.hungraim.ltc.pojo.vo.governance.SvrSendListVo;

public interface SrvProgramService {

    /**
     * 个人照护方案查询列表
     *
     * @param srvOrganId    服务机构id
     * @param realName      失能人员姓名
     * @param realTel       失能人员手机号
     * @param programStatus 服务方案状态
     * @return 返回列表
     */
    Page<SvrSendListVo> getProgramList(Page<SvrSendListVo> page, Long srvOrganId, String realName, String realTel, String programStatus);

    /**
     * 个人照护方案列表查询
     *
     * @param page        分页参数
     * @param disabInfoId 失能人员id
     * @param srvOrganId  服务机构id
     * @return 返回个人照护方案列表
     */
    Page<ProgramListVo> getProgramSetList(Page<ProgramListVo> page, Long disabInfoId, Long srvOrganId);

    /**
     * 查看服务方案详情
     *
     * @param programId 方案id
     * @return 返回服务方案详情
     */
    ProgramDetailVo getProgramDetail(Long programId);

    /**
     * 添加服务方案时需要展示的相关信息
     *
     * @param disabInfoId 失能人员id
     * @param srvOrganId  服务机构id
     * @return 返回添加服务方案需要展示的信息
     */
    ProgramDetailVo getProgramDetailWithAdd(Long disabInfoId, Long srvOrganId);
}
