package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.governance.dao.ChSrvProgramMapper;
import com.hungraim.ltc.pojo.vo.governance.ProgramDetailVo;
import com.hungraim.ltc.pojo.vo.governance.ProgramListVo;
import com.hungraim.ltc.pojo.vo.governance.SvrSendListVo;
import com.hungraim.ltc.governance.dao.ChSrvSendMapper;
import com.hungraim.ltc.governance.service.SrvProgramService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class SrvProgramServiceImpl implements SrvProgramService {

    @Autowired
    private ChSrvSendMapper chSrvSendMapper;

    @Autowired
    private ChSrvProgramMapper chSrvProgramMapper;

    @Override
    public Page<SvrSendListVo> getProgramList(Page<SvrSendListVo> page, Long srvOrganId, String realName, String realTel, String programStatus) {
        return chSrvSendMapper.selectSrvSendList(page, srvOrganId, realName, realTel, programStatus);
    }

    @Override
    public Page<ProgramListVo> getProgramSetList(Page<ProgramListVo> page, Long disabInfoId, Long srvOrganId) {
        return chSrvProgramMapper.getProgramList(page, disabInfoId, srvOrganId);
    }

    @Override
    public ProgramDetailVo getProgramDetail(Long programId) {
        return chSrvProgramMapper.getProgramDetail(programId);
    }

    @Override
    public ProgramDetailVo getProgramDetailWithAdd(Long disabInfoId, Long srvOrganId) {
        return chSrvProgramMapper.getProgramDetailWithAdd(disabInfoId, srvOrganId);
    }
}
